# $Revision: 1.22 $, $Date: 2004/08/25 14:16:58 $
Summary:	GUD, gdb, dbx debugging support macros
Summary(pl):	Makra do obsugi odpluskwiaczy GUD, gdb, dbx
Name:		xemacs-debug-pkg
%define 	srcname	debug
Version:	1.17
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	e45715132f64e4dbc7f14a22128b9279
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUD, gdb, dbx debugging support.

%description -l pl
Makra do obsugi odpluskwiaczy GUD, gdb, dbx.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/debug/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-debug-pkg.spec,v $
Revision 1.22  2004/08/25 14:16:58  undefine
- release 2

Revision 1.21  2003/11/26 12:32:54  speedy
updated to  1.17

Revision 1.20  2003/09/09 10:24:58  ankry
- spaces -> tab

Revision 1.19  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:28:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/11/21 15:52:15  mis
- autoupdated to 1.16

Revision 1.16  2002/07/17 16:58:28  kloczek
- updated to 1.15 and use new %doc.

Revision 1.15  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.14  2002/02/23 05:11:01  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/12 03:03:28  kloczek
- release 2: adapterized.

Revision 1.11  2002/01/18 02:15:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/02/13 18:04:35  mis
- updated to 1.14

Revision 1.9  2000/12/22 02:45:06  kloczek
- spec adapterized,
- added pl %description and fixed pl Summary.

Revision 1.8  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.7  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.6  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:17  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.3  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.2  2000/02/07 22:31:49  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
